# React Dashboard Controls

Controls for creating dashboards in React

## Quick start

```
> npm install -s dashboard-controls 
```

```javascript
import React from 'react';
import { TimePicker } from 'dashboard-controls';
import 'dashboard-controls/dist/style.css';

console.log(<TimePicker />);
```

## Live demo

You can check out the avaliable controls in a live demo at: https://jacob-ebey.github.io/dashboard-controls

## Developer Features

- Modern JavaScript features (ES6+)
- Styling with SCSS and PostCSS
- The best developer experience with [Storybook](https://github.com/storybooks/storybook)
- Testing with Jest
- Building assets with Webpack

## Contributing

- Copy the MyComponent template
- Write your component
- Write some tests
- Export from src/index.js
- Create TS typings in types/index.d.ts

